# Require Payment

Sometimes a payment is required in order to Sign a document. For example a rental agreement. To use this feature you first need to have a payment contract. Please contact your customer success manager if you want to use this feature.

To request a payment, provide the amount and currency. This is part of the `POST` request to `/dossiers`.

```
POST /dossiers
```

**Request body**

```json
{
    "invitees":[
        {
            "name": "John Doe",
            "payments":[
                {
                    "amount":100,
                    "currency":"EUR"
                }
            ]
        }
    ]
}
```

* `amount`: The amount of the payment in cents.
* `currency`: The currency of the payment in [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) format.

## Retrieve payment status

```
GET /dossiers/{dossierId}/invitees/{inviteeId}/payments
```

**Response body**

```json
[
    {
        "amount": 100,
        "currency": "EUR",
        "status": "success",
        "paymentMethod": "IDEAL",
        "paymentReference": "ch-9a0a32bc-bb25-4f5f-8aeb-681276a738fe"
    }
]
```

* `amount`: The amount of the payment in cents.
* `currency`: The currency of the payment in [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) format.
* `status`: The payment status.
* `paymentMethod`: The selected payment method.
* `paymentReference`: The payment reference in the payment system.

You usually don't have to retrieve the payment status, because a dossier can only be signed after the payment has been completed. When you received the dossier completed webhook or email, you know that the invitee has successfully paid.